<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::kwd::test::SensoryKeywordTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">kwd</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html">SensoryKeywordTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::kwd::test::SensoryKeywordTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::kwd::test::SensoryKeywordTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test_inherit__map" id="alexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::kwd::test::SensoryKeywordTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test_coll__map" id="alexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test_coll__map">
<area shape="rect" id="node3" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html" title="alexaClientSDK::avsCommon\l::utils::AudioFormat" alt="" coords="75,5,272,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:afd4ee60e1d7d7da3208c85a40f1e69a6"><td class="memItemLeft" align="right" valign="top">std::vector&lt; int16_t &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#afd4ee60e1d7d7da3208c85a40f1e69a6">readAudioFromFile</a> (const std::string &amp;fileName, bool *errorOccurred)</td></tr>
<tr class="separator:afd4ee60e1d7d7da3208c85a40f1e69a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab126a9488b88e6ec3deaf98163894e86"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#ab126a9488b88e6ec3deaf98163894e86">isResultPresent</a> (std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer_1_1detection_result.html">testKeyWordObserver::detectionResult</a> &gt; &amp;results, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">AudioInputStream::Index</a> expectedBeginIndex, <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">AudioInputStream::Index</a> expectedEndIndex, const std::string &amp;expectedKeyword)</td></tr>
<tr class="separator:ab126a9488b88e6ec3deaf98163894e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a153b76bc31a469be2bb783a6915d3b0e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a153b76bc31a469be2bb783a6915d3b0e">SetUp</a> ()</td></tr>
<tr class="separator:a153b76bc31a469be2bb783a6915d3b0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a7cee9d968d9db2b265c7616759f3a3d8"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer.html">testKeyWordObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a7cee9d968d9db2b265c7616759f3a3d8">keyWordObserver1</a></td></tr>
<tr class="separator:a7cee9d968d9db2b265c7616759f3a3d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cbb74eb3c440e0f5ec1db5767dbc067"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer.html">testKeyWordObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a8cbb74eb3c440e0f5ec1db5767dbc067">keyWordObserver2</a></td></tr>
<tr class="separator:a8cbb74eb3c440e0f5ec1db5767dbc067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a202e7cbaf75ea403b5f3da6d8897e6ca"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_state_observer.html">testStateObserver</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a202e7cbaf75ea403b5f3da6d8897e6ca">stateObserver</a></td></tr>
<tr class="separator:a202e7cbaf75ea403b5f3da6d8897e6ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98a94fce207359efc86af85303cb024a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a98a94fce207359efc86af85303cb024a">compatibleAudioFormat</a></td></tr>
<tr class="separator:a98a94fce207359efc86af85303cb024a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f44a0e39953d97b28ac72282fb0458e"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_sensory_keyword_test.html#a3f44a0e39953d97b28ac72282fb0458e">modelFilePath</a></td></tr>
<tr class="separator:a3f44a0e39953d97b28ac72282fb0458e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ab126a9488b88e6ec3deaf98163894e86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab126a9488b88e6ec3deaf98163894e86">&#9670;&nbsp;</a></span>isResultPresent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::kwd::test::SensoryKeywordTest::isResultPresent </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="structalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer_1_1detection_result.html">testKeyWordObserver::detectionResult</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>results</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">AudioInputStream::Index</a>&#160;</td>
          <td class="paramname"><em>expectedBeginIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1sds_1_1_shared_data_stream.html#a6b73c95dbde8b184f8b3176ff9a3f3f1">AudioInputStream::Index</a>&#160;</td>
          <td class="paramname"><em>expectedEndIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>expectedKeyword</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks to see that the expected keyword detection results are present.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">results</td><td>A vector of <code>detectionResult</code>. </td></tr>
    <tr><td class="paramname">expectedBeginIndex</td><td>The expected begin index of the keyword. </td></tr>
    <tr><td class="paramname">expectedEndIndex</td><td>The expected end index of the keyword. </td></tr>
    <tr><td class="paramname">expectedKeyword</td><td>The expected keyword. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if the result is present within the margin and <code>false</code> otherwise. </dd></dl>

</div>
</div>
<a id="afd4ee60e1d7d7da3208c85a40f1e69a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd4ee60e1d7d7da3208c85a40f1e69a6">&#9670;&nbsp;</a></span>readAudioFromFile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;int16_t&gt; alexaClientSDK::kwd::test::SensoryKeywordTest::readAudioFromFile </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>fileName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *&#160;</td>
          <td class="paramname"><em>errorOccurred</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Reads audio from a WAV file.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir"></td><td class="paramname">fileName</td><td>The path of the file to read from. </td></tr>
    <tr><td class="paramdir">[out]</td><td class="paramname">errorOccurred</td><td>Lets users know if any errors occurred while parsing the file. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A vector of int16_t containing the raw audio data of the WAV file without the RIFF header. </dd></dl>

</div>
</div>
<a id="a153b76bc31a469be2bb783a6915d3b0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a153b76bc31a469be2bb783a6915d3b0e">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::kwd::test::SensoryKeywordTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a98a94fce207359efc86af85303cb024a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98a94fce207359efc86af85303cb024a">&#9670;&nbsp;</a></span>compatibleAudioFormat</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_audio_format.html">AudioFormat</a> alexaClientSDK::kwd::test::SensoryKeywordTest::compatibleAudioFormat</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7cee9d968d9db2b265c7616759f3a3d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cee9d968d9db2b265c7616759f3a3d8">&#9670;&nbsp;</a></span>keyWordObserver1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer.html">testKeyWordObserver</a>&gt; alexaClientSDK::kwd::test::SensoryKeywordTest::keyWordObserver1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8cbb74eb3c440e0f5ec1db5767dbc067"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cbb74eb3c440e0f5ec1db5767dbc067">&#9670;&nbsp;</a></span>keyWordObserver2</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_key_word_observer.html">testKeyWordObserver</a>&gt; alexaClientSDK::kwd::test::SensoryKeywordTest::keyWordObserver2</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f44a0e39953d97b28ac72282fb0458e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f44a0e39953d97b28ac72282fb0458e">&#9670;&nbsp;</a></span>modelFilePath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::kwd::test::SensoryKeywordTest::modelFilePath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a202e7cbaf75ea403b5f3da6d8897e6ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a202e7cbaf75ea403b5f3da6d8897e6ca">&#9670;&nbsp;</a></span>stateObserver</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1test_state_observer.html">testStateObserver</a>&gt; alexaClientSDK::kwd::test::SensoryKeywordTest::stateObserver</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/KWD/Sensory/test/<a class="el" href="_sensory_keyword_detector_test_8cpp.html">SensoryKeywordDetectorTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
